<?php

/**
 * insert your api key from your fiddlemail account here
 * You can register a free account and get a free api key at
 * https://fiddlemail.com/account/register.html
 */
define('API_KEY', 'INSERT YOUR API KEY HERE');

/**
 * Only set this to true if you have a paid plan on fiddlemail. Free plans do
 * not support getting score information for your queries.
 */
define('API_DETAILS', false);

/**
 * Currently "de" and "en" are supported. The setting does not have any effect
 * on the results besides the localized messages on score information.
 */
define('API_LANGUAGE', 'en');

/**
 * Include the fiddlemail api handler class. REQUIRES PHP-CURL!
 */
require_once __DIR__ . '/class.fiddlemail.inc.php';


/**
 * @var int flags for api call
 */
$flags = FIDDLEMAIL_NONE;
if(API_DETAILS === true) {
	/**
	 * if details are requestsed (paid plans only), set appropriate flags
	 */
	$flags = FIDDLEMAIL_EXTENDED | FIDDLEMAIL_SCORE;
}

/**
 * @var string email address to check
 */
$email_address = 'asdf12345@mytrashmail.com';

try {
	/**
	 * Call api and get result
	 */
	$result = FiddleMail::queryMail($email_address, $flags);
	
	/**
	 * dump results array
	 */
	var_dump($result);
} catch(Exception $e) {
	/**
	 * Something went wrong. Dump the exception data.
	 */
	var_dump($e);
}

/**
 * @var string phone number to check, either in german form or international form
 */
$phone_number = '015252788654';

try {
	/**
	 * Call api and get result
	 */
	$result = FiddleMail::queryPhone($phone_number, $flags);
	
	/**
	 * dump results array
	 */
	var_dump($result);
} catch(Exception $e) {
	/**
	 * Something went wrong. Dump the exception data.
	 */
	var_dump($e);
}

